
		.grid_frame_auto
		{
		  width:  300px; 
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_frame_fixed
		{
		  width:  300px;  
		  height:  auto;
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_frame
		{
		  width:  auto;  
		  height:  auto;
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_height_30
		{
		  height:  30px;
		}

		.grid_frame .grid_container
		{
		  width:  100%;   
		  height:  100%;  
		}

		.grid_container
		{
		  border:  0px solid red;
		  
		  display:flex;
		  flex-flow: column;
		  flex-wrap:  nowrap;
		  justify-content:  space-between;
		}

		.grid_row
		{
		  border:  0px solid blue;
		  
		  display:flex;
		  flex-flow: row;
		  flex-wrap:  nowrap;
		  justify-content:  space-between;
		  align-items:   baseline;
		  align-content: stretch;
		  flex-grow: 1;
		  padding:  1px;
		}

		.grid_cell
		{
		  border:  0px solid green;
		  align-content: stretch;
		  flex-grow: 1;
		  padding:  1px;
		  
		}		
		
		.grid_cell_single
		{
			width:50%;
			text-align:left;
			margin-left:10px;
		}
		
		.grid_cell_half_width, grid_cell_1, grid_cell_2
		{
			width:50%;
		}
		.grid_cell_1
		{
			text-align:right;
		}
		.grid_cell_2
		{
			width:50%;
			text-align:left;
		}
		
	
		.sys_grid_cell_editable:focus, .sys_grid_cell_editable:focus-within
		{
			outline: lightgrey dashed 2px;
			outline-radius: 3px;
		}
		
		
		.sys_grid_cell_editable 
		{
			color: #39E;
			padding: 3px;
		}
		
		
		.sys_grid_row:hover, .sys_grid_row:hover .list_row_0 
		{
			background-color: #DEF;
		}
		
		
		
		.sys_grid_frame_bevel  .sys_grid_search_box table
		{
		   background-color:#FFF;
		}
		
		.sys_grid_frame_bevel  .sys_grid_container
		{
			display:flex;
			flex-direction:column;
			justify-content:center;
			width:100%;
		}
		
		.sys_grid_frame_bevel  .sys_grid
		{
			width:97%;
			margin-left:10px;
			margin-top:10px;
			margin-bottom:10px;
			padding-top:5px;
			padding-bottom:10px;
			
			box-shadow: 0 0.46875rem 2.1875rem rgb(4 9 20 / 3%), 0 0.9375rem 1.40625rem rgb(4 9 20 / 3%), 0 0.25rem 0.53125rem rgb(4 9 20 / 5%), 0 0.125rem 0.1875rem rgb(4 9 20 / 3%);
			
			position: relative;
			display: flex;
			flex-direction: column;
			min-width: 0;
			word-wrap: break-word;
			background-color: #fff;
			background-clip: border-box;
			border: 1px solid rgba(26,54,126,0.125);
			border-radius: .25rem;
		}
		
		.sys_grid_frame_bevel  .sys_grid_cell_editable:focus, 
		.sys_grid_frame_bevel  .sys_grid_cell_editable:focus-within
		{
			outline: lightgrey dashed 2px;
			outline-radius: 3px;
		}
		
		
		.sys_grid_frame_bevel  .sys_grid_cell_editable 
		{
			color: #39E;
			padding: 3px;
		}
		
		
		.sys_grid_frame_bevel  .sys_grid_row:hover, 
		.sys_grid_frame_bevel  .sys_grid_row:hover .list_row_0 
		{
			background-color: #DEF;
		}
		
		/****************************************
		*             MULTISEL LIST
		*
		*****************************************/
		
		.ms-container
		{
			width:99% !important;
		}
		
		.ms-list
		{
			height:90px !important;
		}
		
		.ms-selectable, .ms-selection,
		.ms-selectable span, .ms-selection span,
		.ms-selectable li,   .ms-selection li
		{
			font-size:12px !important;
		}
		
		.ms-selectable
		{
			width:calc(50% - 20px) !important;
			min-width:140px !important;
		}
		
		.ms-selection
		{
			width:calc(50% - 20px) !important;
			min-width:130px !important;
		}